PresenterFunctions.NuevoPacienteFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface PresenterFunctions.NuevoPacienteFunctions

- All Known Implementing Classes:
    NuevoPacientePresenter
  Enclosing interface:
    PresenterFunctions

      public static interface PresenterFunctions.NuevoPacienteFunctions

  Interfaz correspondiente al Presentador `NuevoPacientePresenter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---

    `void`

    `onSaveClicked(java.lang.String nombre, java.lang.String edad, int sexo, java.lang.String id, java.lang.String telefono, java.lang.String direccion, java.lang.String sintomas, java.lang.String diagnostico, java.lang.String tratamiento_previo, java.lang.String tratamiento_actual, java.lang.String comentarios_adicionales, java.lang.String tags)`
    Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "GUARDAR" en `NuevoPacienteFragment`.

- - ### Method Detail

    - #### onSaveClicked

          void onSaveClicked(java.lang.String nombre,
                             java.lang.String edad,
                             int sexo,
                             java.lang.String id,
                             java.lang.String telefono,
                             java.lang.String direccion,
                             java.lang.String sintomas,
                             java.lang.String diagnostico,
                             java.lang.String tratamiento_previo,
                             java.lang.String tratamiento_actual,
                             java.lang.String comentarios_adicionales,
                             java.lang.String tags)

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "GUARDAR" en `NuevoPacienteFragment`.

      Se encarga de:

      1.- Verificar que el usuario ha introducido toda la informacion obligatoria (marcada con *). 2.- Filtrar la informacion a un formato que se pueda utilizar para introducirla en la Base de Datos. 3.- Enviar la informacion, una vez filtrada, al Modelo para que sea introducida en la Base de Datos. 4.- Solicitar a la Vista (`NuevoPacienteFragment`) que muestre un mensaje dependiendo de si la insercion en la Base de Datos ha sido exitosa o no. 5.- Si la insercion se realizo con exito, borrar el `Fragment` actual y mostrar el listado de pacientes actualizado con el nuevo paciente ya almacenado.

      Parameters:
        `nombre` - Nombre del paciente (Obligatorio)
        `edad` - Edad del paciente (Obligatorio)
        `sexo` - Sexo del paciente (Obligatorio)
        `id` - ID del paciente (Opcional)
        `telefono` - Telefono del paciente (Opcional)
        `direccion` - Direccion del paciente (Opcional)
        `sintomas` - Sintomas del paciente (Opcional)
        `diagnostico` - Diagnostico del paciente (Obligatorio)
        `tratamiento_previo` - Tratamiento previo que ha estado siguiendo el paciente (Opcional)
        `tratamiento_actual` - Tratamiento que esta siguiendo actualmente el paciente (Opcional)
        `comentarios_adicionales` - Comentarios adicionales que se necesiten introducir (Opcional)
        `tags` - Etiquetas para recuperar facilmente la informacion del paciente al buscarlo en el listado de pacientes (Obligatorio)